Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.compiler
Class PatternTable

    java.lang.Object
      com.hp.hpl.jena.sdb.store.TableDesc
          com.hp.hpl.jena.sdb.compiler.PatternTable

    public class PatternTable

extends TableDesc

A (description of a) table that holds a cached/optimized version of a pattern.

Constructor Summary
`PatternTable(String tableName)`

Method Summary
`void` | `add(com.hp.hpl.jena.graph.Node property, String colname)`
`Iterator<String>` | `colNames()`
`Map<com.hp.hpl.jena.graph.Node,String>` | `getCols()`
`boolean` | `hasColumn(String colName)`
`SqlStage` | `process(int i, QuadBlock quadBlock)`
`boolean` | `trigger(com.hp.hpl.jena.sparql.core.Quad quad)`

Methods inherited from class com.hp.hpl.jena.sdb.store.TableDesc
`getColNames, getTableName, getWidth, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PatternTable

    public PatternTable(String tableName)

Method Detail

### add

    public void add(com.hp.hpl.jena.graph.Node property,
                    String colname)

### getCols

    public Map<com.hp.hpl.jena.graph.Node,String> getCols()

### hasColumn

    public boolean hasColumn(String colName)

  Overrides:
    `hasColumn` in class `TableDesc`

### colNames

    public Iterator<String> colNames()

  Overrides:
    `colNames` in class `TableDesc`

### trigger

    public boolean trigger(com.hp.hpl.jena.sparql.core.Quad quad)

### process

    public SqlStage process(int i,
                            QuadBlock quadBlock)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.